package net.nourdine.jp.io;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.Writer;
import java.util.logging.Level;
import java.util.logging.Logger;

public class FileContentManager {

   static public String getContent(String pathToFile) {

      StringBuilder contents = new StringBuilder();

      File myFile = null;
      FileReader fileReader = null;
      BufferedReader buffReader = null;
      try {
         myFile = new File(pathToFile);
         fileReader = new FileReader(myFile);
         buffReader = new BufferedReader(fileReader);
         try {
            String line = null;
            while ((line = buffReader.readLine()) != null) {
               contents.append(line);
               contents.append(System.getProperty("line.separator"));
            }
         } finally {
            buffReader.close();
         }
      } catch (IOException e) {
         Logger.getLogger(FileContentManager.class.getName()).log(Level.SEVERE, null, e);
      } finally {
         if (fileReader != null) {
            try {
               fileReader.close();
            } catch (IOException e) {
               Logger.getLogger(FileContentManager.class.getName()).log(Level.SEVERE, null, e);
            }
         }
         if (buffReader != null) {
            try {
               buffReader.close();
            } catch (IOException e) {
               Logger.getLogger(FileContentManager.class.getName()).log(Level.SEVERE, null, e);
            }
         }
      }
      return contents.toString();
   }

   static public void setContent(String pathToFile, String content) {

      Writer output = null;
      try {
         output = new BufferedWriter(new FileWriter(new File(pathToFile)));
         output.write(content);
      } catch (IOException e) {
         Logger.getLogger(FileContentManager.class.getName()).log(Level.SEVERE, null, e);
      } finally {
         try {
            if (output != null) {
               output.close();
            }
         } catch (IOException e) {
            Logger.getLogger(FileContentManager.class.getName()).log(Level.SEVERE, null, e);
         }
      }
   }
}